//
//  XYZViewController.m
//  AVSample
//
//  Created by Eien Factory on 2012/11/18.
//  Copyright (c) 2012年 Eien Factory. All rights reserved.
//

#import "XYZViewController.h"

@interface XYZViewController ()
@property (strong,nonatomic) AVAudioPlayer *sound;
@end

@implementation XYZViewController

- (void)prepareSound
{
    NSURL *soundFile = [NSURL fileURLWithPath:[[NSBundle mainBundle]pathForResource:@"Loop1" ofType:@"caf"]];
    self.sound = [[AVAudioPlayer alloc] initWithContentsOfURL:soundFile error:nil];
    self.sound.delegate = self;
    
    self.sound.numberOfLoops = -1;
    [self.sound prepareToPlay];
}

- (IBAction)startAction:(id)sender {
    [self.sound play];
}

- (IBAction)stopAction:(id)sender {
    [self.sound stop];
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    [self prepareSound];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    self.sound = nil;
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
    if ( !self.sound ) {
        [self prepareSound];
    }
}

@end
